﻿using Samples;

// Create view model and initialize Entity object
ProductViewModel vm = new() {
  Entity = new() {
    Name = "",
    ListPrice = 5,
    StandardCost = 15
  }
};

// Validate the Data
var msgs = vm.Validate();

// Display Failed Validation Messages
foreach (ValidationMessage item in msgs) {
  Console.WriteLine(item);
}

// Display Total Count
Console.WriteLine();
Console.WriteLine($"Total Validations Failed: {msgs.Count}");

// Pause for Results
Console.ReadKey();